# stpui_plist_t Struct Reference

`#include <gutenprintui.h>`

## Data Fields

char * | name
command_t | command_type
char * | queue_name
char * | extra_printer_options
char * | custom_command
char * | current_standard_command
char * | output_filename
float | scaling
orient_t | orientation
int | unit
int | auto_size_roll_feed_paper
int | invalid_mask
stp_vars_t * | v

## Field Documentation

int stpui_plist_t::auto_size_roll_feed_paper

command_t stpui_plist_t::command_type

char* stpui_plist_t::current_standard_command

char* stpui_plist_t::custom_command

char* stpui_plist_t::extra_printer_options

int stpui_plist_t::invalid_mask

char* stpui_plist_t::name

orient_t stpui_plist_t::orientation

char* stpui_plist_t::output_filename

char* stpui_plist_t::queue_name

float stpui_plist_t::scaling

int stpui_plist_t::unit

stp_vars_t* stpui_plist_t::v

The documentation for this struct was generated from the following file:

- include/gutenprintui2/gutenprintui.h